PGASetMutationBoundedFlag(3)

NAME
PGASetMutationBoundedFlag - If this flag is set to PGA_TRUE, then for Integer and Real strings whenever a gene is mutated, if it underflows (overflows) the lower (upper)bound it is reset to the lower (upper) bound.

DESCRIPTION
In this way all allele values remain within the range the integer strings were initialized on. If this flag is PGA_FALSE (the default), the alleles may take any values.

INPUT PARAMETERS
ctx - context variable
flag
    - either PGA_TRUE or PGA_FALSE

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
void  PGASetMutationBoundedFlag(ctx, val)
PGAContext *ctx
int val

LOCATION
mutation.c

EXAMPLE
Example:
PGAContext *ctx;
:
PGASetMutationBoundedFlag(ctx, PGA_TRUE);